interfaces Library: KTextEditor::ClipboardDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ClipboardDCOPInterface Class Reference

This is the main interface to the ClipboardInterface of KTextEdit. DCOP interface to ClipboardInterface. More...

`#include <clipboarddcopinterface.h>`

Inheritance diagram for KTextEditor::ClipboardDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ClipboardDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
void | copy ()
void | cut ()
void | paste ()
## Public Member Functions
| ClipboardDCOPInterface (ClipboardInterface *Parent, const char *name)
virtual | ~ClipboardDCOPInterface ()

## Detailed Description

This is the main interface to the ClipboardInterface of KTextEdit. DCOP interface to ClipboardInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file clipboarddcopinterface.h.

## Constructor & Destructor Documentation

ClipboardDCOPInterface::ClipboardDCOPInterface | ( | ClipboardInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent ClipboardInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 7 of file clipboarddcopinterface.cpp.

ClipboardDCOPInterface::~ClipboardDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file clipboarddcopinterface.cpp.

## Member Function Documentation

void ClipboardDCOPInterface::copy | ( |  | ) |

| copies selected text Definition at line 21 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::cut | ( |  | ) |

| cuts selected text Definition at line 29 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::paste | ( |  | ) |

| pastes selected text Definition at line 37 of file clipboarddcopinterface.cpp.

The documentation for this class was generated from the following files:

- clipboarddcopinterface.h
- clipboarddcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003